package com.atlassian.bitbucket.mesh.git.pull;

import javax.annotation.Nonnull;

public class GetPullRequestEffectiveDiffParameters extends AbstractPullRequestParameters {

    private GetPullRequestEffectiveDiffParameters(Builder builder) {
        super(builder);
    }

    @Nonnull
    public static GetPullRequestEffectiveDiffParameters of(@Nonnull PullRequest pullRequest) {
        return new Builder(pullRequest).build();
    }

    public static class Builder extends AbstractPullRequestBuilder<Builder, GetPullRequestEffectiveDiffParameters> {

        public Builder(@Nonnull PullRequest pullRequest) {
            super(pullRequest);
        }

        @Nonnull
        @Override
        public GetPullRequestEffectiveDiffParameters build() {
            return new GetPullRequestEffectiveDiffParameters(this);
        }

        @Nonnull
        @Override
        protected Builder self() {
            return this;
        }
    }
}
